%define major		0
%define libname		%mklibname %{name} %{major}
%define libnamedev	%mklibname %{name} -d
%define baddevname	%mklibname %{name} -d  0
%define build_flac	1

Name:		alsaplayer
Summary:	Advanced Linux Sound Architecture (ALSA) player
Version:	0.99.81
Release:	%mkrel 10
License:	GPLv3
Group:		Sound/Players
URL:		http://www.alsaplayer.org/
Source:		http://www.alsaplayer.org/%{name}-%{version}.tar.bz2
Source1:	alsaplayer-icons.tar.bz2
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libmikmod)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(jack) >= 0.70.4
BuildRequires:	pkgconfig(sndfile)
Requires:	%{name}-plugin-ui-gtk
ExcludeArch:	sparc sparc64
Provides:	%{name}-plugin-read-curl = %{version}-%{release}
Obsoletes:	%{name}-plugin-read-curl < %{version}-%{release}

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%package -n	%{libname}
Summary:	AlsaPlayer sharedlibrary
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:	lib%{name} < %{version}-%{release}

%description -n %{libname}
This is the shared librairy of AlsaPlayer.

%package -n	%{libnamedev}
Summary:	AlsaPlayer devel stuff
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{baddevname} < %{version}-%{release}

%description -n %{libnamedev}
This is the development part of the AlsaPlayer librairy.

%if %build_flac
%package	plugin-input-flac
Summary:	AlsaPlayer plugin for playing FLAC audio files
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}
BuildRequires:	pkgconfig(flac)

%description plugin-input-flac
This plugin enables AlsaPlayer to play files in the lossless audio
compression format FLAC.
%endif

%package	plugin-input-mod
Summary:	AlsaPlayer plugin for playing MOD modules
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-input-mad
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-input-sndfile
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-input-vorbis
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-output-jack
Summary:	AlsaPlayer for the jack sound server
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-ui-gtk
Summary:	AlsaPlayer plugin
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}

%package	plugin-scopes
Summary:	AlsaPlayer graphical scopes
Group:		Sound/Utilities
Requires:	%{name} => %{version}-%{release}
Requires:	%{name}-plugin-ui-gtk => %{version}-%{release}

%description plugin-input-mod
This plugin enables alsaplayer to play module music files.
Supported file formats include MOD, STM, S3M, MTM, XM, ULT, and IT.

%description plugin-input-mad
This plugin enables alsaplayer to play mpeg files though the libmad library.
It currently supports MPEG-1 and the MPEG-2  extension to Lower Sampling
Frequencies, as well as the so-called MPEG 2.5 format. All three audio layers
(Layer I, Layer II, and Layer III a.k.a. MP3) are fully implemented.

%description plugin-input-sndfile
This plugin enables alsaplayer to play sound files such as AIFF, AU
and WAV files through the sndfile library. It can currently read 8,
16, 24 and 32-bit PCM files as well as 32-bit floating point WAV files
and a number of compressed formats.

%description plugin-input-vorbis
This plugin enables alsaplayer to play ogg vorbis music files.

%description plugin-output-jack
This plugin enables alsaplayer to play music with the jack daemon.

%description plugin-ui-gtk
This plugin adds a nice graphical interface to alsaplayer.

%description plugin-scopes
This plugin adds some nice graphical visualization plugins (scopes).

%prep
%setup -q 

%build
%define _disable_ld_no_undefined 1
%configure2_5x \
		--enable-alsa \
		--enable-esd \
		--disable-debug \
		--enable-oggvorbis \
		--enable-prefer-mad \
		--disable-gtk \
		--enable-gtk2 \
		--disable-static
%make

%install
rm -rf %{buildroot} %{name}.lang
%makeinstall_std
#clean unpackaged files:
rm -rf %{buildroot}%{_datadir}/doc/%{name}
# we don't want these
find %{buildroot} -name '*.la' -delete

tar xfj %{SOURCE1} -C %{buildroot}%{_datadir}
# fix permissions:
chmod 755 docs/reference/html

%find_lang %{name}

# TV: update me aka on each new upstream release, check for new plugins
%files -f %{name}.lang
%doc docs/*.txt COPYING
%{_datadir}/applications/*.desktop
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/*/
%{_libdir}/%{name}/input/libcdda.so
%{_libdir}/%{name}/input/libwav.so
%{_libdir}/%{name}/output/libalsa_out.so
%{_libdir}/%{name}/output/libnull_out.so
%{_libdir}/%{name}/output/liboss_out.so
%{_libdir}/%{name}/interface/libdaemon_interface.so
%{_libdir}/%{name}/interface/libtext_interface.so
%{_libdir}/%{name}/reader/libfile.so
%{_libdir}/%{name}/reader/libhttp.so
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/%{name}.*

%files -n %{libname}
%doc COPYING
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{libnamedev}
%doc docs/reference/html/ COPYING
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%if %build_flac
%files plugin-input-flac
%doc COPYING
%{_libdir}/%{name}/input/libflac_in.so
%endif

%files plugin-input-mod
%doc COPYING
%{_libdir}/%{name}/input/libmod.so

%files plugin-input-mad
%doc COPYING
%{_libdir}/%{name}/input/libmad_in.so

%files plugin-input-sndfile
%doc COPYING
%{_libdir}/%{name}/input/libsndfile_in.so

%files plugin-input-vorbis
%doc COPYING
%{_libdir}/%{name}/input/libvorbis_in.so

%files plugin-output-jack
%doc COPYING
%_libdir/%name/output/libjack_out.so

%files plugin-ui-gtk
%doc COPYING
%{_libdir}/%{name}/interface/libgtk2_interface.so

%files plugin-scopes
%doc COPYING
%{_libdir}/%{name}/scopes2


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.99.81-10.mga6
+ Revision: 941128
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.99.81-9.mga5
+ Revision: 750101
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.99.81-8.mga5
+ Revision: 725937
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.99.81-7.mga5
+ Revision: 686486
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.99.81-6.mga5
+ Revision: 677744
- Mageia 5 Mass Rebuild

* Wed Apr 02 2014 daviddavid <daviddavid> 0.99.81-5.mga5
+ Revision: 611427
- rebuild for Mageia 5 (missed Mageia 4 Mass Rebuild)
- disable static build and drop .la files
- prefer use pkgconfig on BRs
- fix license

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.99.81-3.mga3
+ Revision: 345521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 barjac <barjac> 0.99.81-2.mga3
+ Revision: 320350
- Change group(s) in line with new policy
- clean spec
- fix explicit unversioned provides/obsoletes

* Sat Feb 05 2011 ahmad <ahmad> 0.99.81-2.mga1
+ Revision: 47401
- drop esound support (esound is getting phased out of the distro)
- drop nas support (does anyone still use it?)
- disable BR xosd-devel for now at least
- drop old/unneeded scriptlets
- imported package alsaplayer


* Mon Nov 08 2010 Götz Waschk <waschk@mandriva.org> 0.99.81-1mdv2011.0
+ Revision: 595013
- new version
- fix source URL
- drop patches

* Tue Jun 16 2009 Jérôme Brenier <incubusss@mandriva.org> 0.99.80-3mdv2010.0
+ Revision: 386377
- fix str fmt

* Thu Aug 14 2008 Götz Waschk <waschk@mandriva.org> 0.99.80-3mdv2009.0
+ Revision: 271774
- fix build
- update license

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 12 2007 Funda Wang <fwang@mandriva.org> 0.99.80-2mdv2008.1
+ Revision: 108192
- rebuild for new lzma

* Sun Nov 04 2007 Götz Waschk <waschk@mandriva.org> 0.99.80-1mdv2008.1
+ Revision: 105929
- new version
- drop patch

* Thu Oct 11 2007 Götz Waschk <waschk@mandriva.org> 0.99.80-0.rc4.1mdv2008.1
+ Revision: 97141
- new version

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 0.99.80-0.rc3.1mdv2008.1
+ Revision: 96172
- new version

* Thu Jul 26 2007 Götz Waschk <waschk@mandriva.org> 0.99.80-0.rc2.1mdv2008.0
+ Revision: 55931
- new version
- drop patches 0,2
- update patch 1
- new devel package name
- update file list

  + Emmanuel Blindauer <blindauer@mandriva.org>
    - Removed ppc from archExclude: it build on ppc too.

* Tue Jun 12 2007 Götz Waschk <waschk@mandriva.org> 0.99.80-0.rc1.1mdv2008.0
+ Revision: 38104
- new version
- rediff patch 1
- update file list

* Wed May 23 2007 Götz Waschk <waschk@mandriva.org> 0.99.79-1mdv2008.0
+ Revision: 29997
- new version

* Thu May 10 2007 Götz Waschk <waschk@mandriva.org> 0.99.78-1mdv2008.0
+ Revision: 25908
- fix 64 bit build problem
- new version
- reenable flac
- patch upstream desktop file


* Thu Feb 08 2007 Götz Waschk <waschk@mandriva.org> 0.99.77-1mdv2007.0
+ Revision: 117949
- disable scopes that need gtk+ 1.2
- fix buildrequires
- new version
- disable flac plugin
- switch to gtk2.0 UI

  + Marcelo Ricardo Leitner <mrl@mandriva.com>
    - Import alsaplayer

* Wed Aug 02 2006 Gtz Waschk <waschk@mandriva.org> 0.99.76-9mdv2007.0
- xdg menu

* Fri Mar 24 2006 Götz Waschk <waschk@mandriva.org> 0.99.76-8mdk
- Rebuild
- use mkrel

* Thu May 05 2005 Gtz Waschk <waschk@mandriva.org> 0.99.76-7mdk
- fix build on x86_64

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.99.76-6mdk
- rebuild for new libflac

* Fri Mar 25 2005 Emmanuel Andry <eandry@free.fr> 0.99.76-5mdk
- Fixed Requires

* Fri Mar 25 2005 Emmanuel Andry <eandry@free.fr> 0.99.76-4mdk
- Added Requires plugin-ui-gtk to avoid segfault

* Tue Aug 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.76-3mdk
- rebuild for new flac

* Wed Jun 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.99.76-2mdk
- rebuild for new g++

